Bug 138981 - Should not have cvs related emblems by default
Should not have cvs related emblems by default
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: gnome-icon-theme (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: David Zeuthen
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-11-12 06:38 EST by Marco Pesenti Gritti
Modified: 2013-03-05 22:42 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 20:03:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Marco Pesenti Gritti 2004-11-12 06:38:24 EST
These are definately developer oriented, I dont really think they fit
with our target users. There are a few like cvs-controlled, cvs-modified.
Comment 1 Bryan W Clark 2004-12-14 02:53:20 EST
Is there a large benefit to removing them or a major drawback with
keeping them?  I see how they don't fit our target users, however I'm
not sure I see where the problem is.  Also, what would the best
solution involve?
Comment 2 Marco Pesenti Gritti 2004-12-14 09:35:57 EST
Personally I find them confusing, our target users dont even know what
cvs is. Sure they can ignore them but there are a lot of them so they
add some scanning difficulties without reason (they are really useful
only if you have the cvs view installed). Views dependent icon should
really be installed with the view itself.

So, no, I dont think there is a major drawback with keeping them. It's
just one of these polish things. One alone is not a big problem but
the sum of them can be...
Now the right implementation would be to have these installed by the
cvs view package but they are actually part of the icon theme, so that
would be somewhat weird.

I cant think of a clean solution, so if you dont think it's an issue
please just go ahead and close this. We can reconsider if other views
start doing the same thing...
Comment 3 Alexander Larsson 2005-02-09 04:44:53 EST
Aren't these used for nautilus-vcs? Deleting them makes that not work.
Would be better to hide them in normal emblem use or something.
Comment 4 Matthew Miller 2006-07-10 17:44:37 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!
Comment 5 Alexander Larsson 2006-08-14 08:29:48 EDT
We should probably keep them around, but hide them in the UI somehow.
Comment 6 Matthias Clasen 2006-11-26 11:52:41 EST
Still around in FC6...

Might be even better to ship them with nautilus-vcs, it there is such a package ?
Comment 7 Alexander Larsson 2006-11-28 05:07:57 EST
I don't think nautilus-vcs is maintained anymore. We should probably just remove
the icons for now.
Comment 8 Matthew Miller 2007-04-10 13:02:46 EDT
Moving to devel. What's the current state of this?
Comment 9 Bug Zapper 2008-04-03 11:45:47 EDT
Based on the date this bug was created, it appears to have been reported
against rawhide during the development of a Fedora release that is no
longer maintained. In order to refocus our efforts as a project we are
flagging all of the open bugs for releases which are no longer
maintained. If this bug remains in NEEDINFO thirty (30) days from now,
we will automatically close it.

If you can reproduce this bug in a maintained Fedora version (7, 8, or
rawhide), please change this bug to the respective version and change
the status to ASSIGNED. (If you're unable to change the bug's version
or status, add a comment to the bug and someone will change it for you.)

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.
Comment 10 Bug Zapper 2008-05-06 20:03:19 EDT
This bug has been in NEEDINFO for more than 30 days since feedback was
first requested. As a result we are closing it.

If you can reproduce this bug in the future against a maintained Fedora
version please feel free to reopen it against that version.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

Note You need to log in before you can comment on or make changes to this bug.